global vm_enable_paging
global vm_set_page_directory

;
; ukazatel na aktualni adresar tabulek stranek
;
extern vm_active_pd

;
; aktivuje rezim strankovani
;
vm_enable_paging:
    mov eax, cr0
    or eax, 0x80000000
    mov cr0, eax
    ret

;
; nastavi aktualni adresar tabulek stranek
;
vm_set_page_directory:
    mov eax, [esp + 4]       ; prebere prvni argument
    mov cr3, eax             ; nastavi adresar
    mov [vm_active_pd], eax  ; ulozi tuto hodnotu jeste do globalni promenne
    ret
